# ImagickDraw::setTextDecoration

(PECL imagick 2.0.0)

ImagickDraw::setTextDecoration — Specifies a decoration

### Description

ImagickDraw::setTextDecoration ( int `$decoration` ) : bool
Warning

This function is currently not documented; only its argument list is available.

Specifies a decoration to be applied when annotating with text.

### Parameters

`decoration`

  DECORATION_ constant

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::setTextDecoration()

`<?php
function setTextDecoration($strokeColor, $fillColor, $backgroundColor, $textDecoration) {
$draw = new \ImagickDraw();
$draw->setStrokeColor($strokeColor);
$draw->setFillColor($fillColor);
$draw->setStrokeWidth(2);
$draw->setFontSize(72);
$draw->setTextDecoration($textDecoration);
$draw->annotation(50, 75, "Lorem Ipsum!");
$imagick = new \Imagick();
$imagick->newImage(500, 200, $backgroundColor);
$imagick->setImageFormat("png");
$imagick->drawImage($draw);
header("Content-Type: image/png");
echo $imagick->getImageBlob();
}
?>`